reverse: reverse a geometry

## Functions

template<typename Geometry >
void | boost::geometry::reverse (Geometry &geometry)
| Reverses the points within a geometry.

## Function Documentation

template<typename Geometry >

void boost::geometry::reverse | ( | Geometry & | geometry | ) |

Reverses the points within a geometry.

Generic function to reverse a geometry. It resembles the std::reverse functionality, but it takes the geometry type into account. Only for a ring or for a linestring it is the same as the std::reverse.

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept

Parameters:

  geometry | A model of the specified concept which will be reversed

Examples:
  02_linestring_example.cpp.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK